# Uses of Enum Class
org.springframework.http.client.observation.ClientHttpObservationDocumentation

Packages that use ClientHttpObservationDocumentation
Package
Description
org.springframework.http.client.observation
This package provides support for client HTTP `Observation`.

## Uses of ClientHttpObservationDocumentation in org.springframework.http.client.observation

Methods in org.springframework.http.client.observation that return ClientHttpObservationDocumentation
Modifier and Type
Method
Description
`static ClientHttpObservationDocumentation`
ClientHttpObservationDocumentation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientHttpObservationDocumentation[]`
ClientHttpObservationDocumentation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.